/* 
  AK ESP8266 station mode
*/

#include <ESP8266WiFi.h>

// تنظیمات شبکه ی خود را در این قسمت وارد کنید.
const char* ssid =      "ssid";      //نام شبکه
const char* password =  "password";  //رمز شبکه

WiFiServer server(80);
 
void setup()
{
  delay(1000);
  Serial.begin(115200);

  // در حال برقراری ارتباط با مودم یا روتر
  WiFi.begin(ssid, password);

  // نمایش وضعیت ارتباط
  Serial.println();
  Serial.print("Connecting");
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    Serial.print(".");
  }
  // نمایش ارتباط موفقیت آمیز
  Serial.println("success!");

  // نمایش ایپی برد
  Serial.print("IP Address is: ");
  Serial.println(WiFi.localIP());

  // شروع سرور
  server.begin();
  Serial.println("Server started");
}

void loop() {
  // بررسی وضعیت بازدید کننده
  WiFiClient client = server.available();
  if (!client) {
    return;
  }
   
  // منتظر ارسال فرمان بازدید کننده
  Serial.println("new client");
  while(!client.available()){
    delay(1);
  }
   
  // خواندن اولین خط درخواست بازدید کننده
  String request = client.readStringUntil('\r');
  Serial.println(request);
  client.flush();
   
  // ارسال پاسخ یا صفحه ی وب مورد نظر
  client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println("");
  client.println("<!DOCTYPE HTML>");
  client.println("<html>");
  //تنظیم نوشته در وسط صفحه
  client.println("<center>"); 
  // صفحه ی تست
  client.println("&#1589;&#1601;&#1581;&#1607; &#1740; &#1578;&#1587;&#1578;<br>"); 
  // ابوالفضل خزائی
  client.println("&#1575;&#1576;&#1608;&#1575;&#1604;&#1601;&#1590;&#1604; &#1582;&#1586;&#1575;&#1574;&#1740;"); 
  client.println("</center>"); 

  client.println("</html>");
 
  delay(1);
  // قطع ارتباط بازدید کننده
  Serial.println("Client disonnected");
  Serial.println("");
 
}
 
